# Gtk::TreeNodeChildren Class Reference
[TreeView Classes]

typedefed as TreeModel::Children. More...

Inherits Gtk::TreeIter.

Collaboration diagram for Gtk::TreeNodeChildren:

[legend]

List of all members.

## Public Types

typedef Gtk::TreeRow | value_type
typedef unsigned int | size_type
typedef int | difference_type
typedef Gtk::TreeIter | iterator
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef Gtk::TreeIter | const_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator

## Public Member Functions

iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
value_type | operator[] (size_type index) const
size_type | size () const
bool | empty () const
| operator bool () const
| Discover whether the iterator is valid, and not equal to end().

## Detailed Description

typedefed as TreeModel::Children.

Virtual container of TreeModel::Row items.

## Member Typedef Documentation

typedef Gtk::TreeIter Gtk::TreeNodeChildren::const_iterator

typedef std::reverse_iterator<const_iterator> Gtk::TreeNodeChildren::const_reverse_iterator

typedef int Gtk::TreeNodeChildren::difference_type

Reimplemented from Gtk::TreeIter.

typedef Gtk::TreeIter Gtk::TreeNodeChildren::iterator

typedef std::reverse_iterator<iterator> Gtk::TreeNodeChildren::reverse_iterator

typedef unsigned int Gtk::TreeNodeChildren::size_type

typedef Gtk::TreeRow Gtk::TreeNodeChildren::value_type

Reimplemented from Gtk::TreeIter.

## Member Function Documentation

const_iterator Gtk::TreeNodeChildren::begin | ( |  | ) | const

iterator Gtk::TreeNodeChildren::begin | ( |  | ) |

bool Gtk::TreeNodeChildren::empty | ( |  | ) | const

const_iterator Gtk::TreeNodeChildren::end | ( |  | ) | const

iterator Gtk::TreeNodeChildren::end | ( |  | ) |

Gtk::TreeNodeChildren::operator bool | ( |  | ) | const`[inline]`

Discover whether the iterator is valid, and not equal to end().

Reimplemented from Gtk::TreeIter.

value_type Gtk::TreeNodeChildren::operator[] | ( | size_type | index | ) | const

const_reverse_iterator Gtk::TreeNodeChildren::rbegin | ( |  | ) | const`[inline]`

reverse_iterator Gtk::TreeNodeChildren::rbegin | ( |  | ) | `[inline]`

const_reverse_iterator Gtk::TreeNodeChildren::rend | ( |  | ) | const`[inline]`

reverse_iterator Gtk::TreeNodeChildren::rend | ( |  | ) | `[inline]`

size_type Gtk::TreeNodeChildren::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/treeiter.h